use askama::Template;
use crate::app::config::Redemption;
use twitch_api2::helix::points::CustomReward;

#[derive(Template)]
#[template(path = "redemptions.html")]
pub struct RedemptionsTemplate {
    pub redemptions: Vec<Redemption>,
}

#[derive(Template)]
#[template(path = "add_redemption.html")]
pub struct AddRedemptionTemplate;

#[derive(Template)]
#[template(path = "list_redemptions.html")]
pub struct ListRedemptionsTemplate {
    pub rewards: Vec<CustomReward>,
}
