use serde::Deserialize;
use twitch_api2::twitch_oauth2::{ClientId, ClientSecret};

#[derive(Deserialize)]
pub struct UserConfig {
    pub twitch: Twitch,
    pub bot: Bot,
}

#[derive(Deserialize)]
pub struct Twitch {
    pub client_id: ClientId,
    pub client_secret: ClientSecret,
    pub channel_id: u64,
}

#[derive(Deserialize)]
pub struct Bot {
    pub access_token: String,
}
